# coding:utf-8
import requests

url = "http://127.0.0.1/zentao/user-login.htm"

def Login(session, str_user, str_pass):
	'''
	登录chandao
	:param session:		session
	:param str_user: 	用户名
	:param str_pass: 	密码
	:return: 			请求结果 - 服务端
	'''

	body = {
		"account": str_user,
		"password": str_pass,
		"keepLogin[]": "on",
		"referer": "/zentao/my.html"
	}

	r = session.post(url, data = body)
	str_result = r.content.decode("utf-8")
	return str_result


def DecideResult(str_result):
	'''
	判断结果 - 登录禅道
	:param str_result: 请求结果 - 服务端
	:return:
	'''
	if "登录失败" in str_result:
		print("登录失败")
		return False
	elif "parent.location" in str_result:
		print("登录成功")
		return True
	else:
		print("登录失败 - 其他情况")
		return False

if __name__ == '__main__':
	s = requests.session()
	result = Login(s, "admin", "123456")
	DecideResult(result)
